summaryrefslogtreecommitdiff
path: root/lib/make/configure
diff options
context:
space:
mode:
authortradke <tradke@17b73243-c579-4c4c-a9d2-2d5706c11dac>2002-03-25 13:06:08 +0000
committertradke <tradke@17b73243-c579-4c4c-a9d2-2d5706c11dac>2002-03-25 13:06:08 +0000
commitcb3b03c3563adb25062e217e4d80774685ce6359 (patch)
tree2bc072b6633436aaba8b00ebdbc877ecb9758a8a /lib/make/configure
parent16b56b0184a89577867d7ce1d98ceec3955a4db7 (diff)
Check for DEBUG to have a valid setting.
Check for OPTIMIZE in addition to OPTIMISE. git-svn-id: http://svn.cactuscode.org/flesh/trunk@2666 17b73243-c579-4c4c-a9d2-2d5706c11dac
Diffstat (limited to 'lib/make/configure')
-rwxr-xr-xlib/make/configure617
1 files changed, 273 insertions, 344 deletions
diff --git a/lib/make/configure b/lib/make/configure
index 970b1ceb..028be989 100755
--- a/lib/make/configure
+++ b/lib/make/configure
@@ -1,6 +1,6 @@
#! /bin/sh
-# From configure.in Id: configure.in
+# From configure.in Header: configure.in
@@ -774,7 +774,7 @@ echo "$ac_t""$ac_cv_prog_gcc" 1>&6
if test "x$CXX" != "xnone" ; then
if test -z "$CXX" ; then
- for ac_prog in c++ g++ gcc CC cxx cc++ cl xlC
+ for ac_prog in c++ g++ gcc CC cxx cc++ cl xlC
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
@@ -878,7 +878,7 @@ echo "$ac_t""$ac_cv_prog_gxx" 1>&6
fi
if test -z "$RANLIB" ; then
-# Extract the first word of "ranlib", so it can be a program name with args.
+ # Extract the first word of "ranlib", so it can be a program name with args.
set dummy ranlib; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:885: checking for $ac_word" >&5
@@ -912,7 +912,7 @@ fi
if test -z "$CPP" ; then
-for ac_prog in cpp
+ for ac_prog in cpp
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
@@ -956,7 +956,7 @@ test -n "$CPP" || CPP="echo"
fi
if test -z "$PERL" ; then
-for ac_prog in perl
+ for ac_prog in perl
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
@@ -993,7 +993,7 @@ done
fi
if test -z "$F90" ; then
-for ac_prog in f90 pgf90 xlf90
+ for ac_prog in f90 pgf90 xlf90
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
@@ -1030,7 +1030,7 @@ done
fi
if test -z "$F77" ; then
-for ac_prog in f77 pgf77 g77 f90 pgf90 xlf90
+ for ac_prog in f77 pgf77 g77 f90 pgf90 xlf90
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
@@ -1067,7 +1067,7 @@ done
fi
if test -z "$AR" ; then
-for ac_prog in ar
+ for ac_prog in ar
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
@@ -1104,7 +1104,7 @@ done
fi
if test -z "$MKDIR" ; then
-for ac_prog in mkdir
+ for ac_prog in mkdir
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
@@ -1141,7 +1141,7 @@ done
fi
if test -z "$SHELL" ; then
-for ac_prog in sh bash
+ for ac_prog in sh bash
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
@@ -1232,13 +1232,9 @@ CCTK_WriteLine cctk_Archdefs.h '#endif /* _CCTK_ARCHDEFS_H_ */'
# Deal with the Fortran compiler issues.
# If there's a Fortran 90 compiler use that for all the Fortran.
-if test "x$F90" != "x" ; then
- if test "x$F90" != "xnone" ; then
- if test "x$F77" != "xnone" ; then
- F77=$F90
- : {F77FLAGS=$F90FLAGS} ;
- fi
- fi
+if test "x$F90" != "x" -a "x$F90" != "xnone" -a "x$F77" != "xnone" ; then
+ F77=$F90
+ : {F77FLAGS=$F90FLAGS}
fi
# The known architecture stuff has probably set the LIBS variable
@@ -1260,7 +1256,7 @@ unset LDFLAGS
echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
-echo "configure:1264: checking how to run the C preprocessor" >&5
+echo "configure:1260: checking how to run the C preprocessor" >&5
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
CPP=
@@ -1275,13 +1271,13 @@ else
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp.
cat > conftest.$ac_ext <<EOF
-#line 1279 "configure"
+#line 1275 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1285: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1281: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
:
@@ -1292,13 +1288,13 @@ else
rm -rf conftest*
CPP="${CC-cc} -E -traditional-cpp"
cat > conftest.$ac_ext <<EOF
-#line 1296 "configure"
+#line 1292 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1302: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1298: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
:
@@ -1309,13 +1305,13 @@ else
rm -rf conftest*
CPP="${CC-cc} -nologo -E"
cat > conftest.$ac_ext <<EOF
-#line 1313 "configure"
+#line 1309 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1319: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1315: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
:
@@ -1340,12 +1336,12 @@ fi
echo "$ac_t""$CPP" 1>&6
echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
-echo "configure:1344: checking for ANSI C header files" >&5
+echo "configure:1340: checking for ANSI C header files" >&5
if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1349 "configure"
+#line 1345 "configure"
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
@@ -1353,7 +1349,7 @@ else
#include <float.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:1357: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:1353: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
@@ -1370,7 +1366,7 @@ rm -f conftest*
if test $ac_cv_header_stdc = yes; then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
-#line 1374 "configure"
+#line 1370 "configure"
#include "confdefs.h"
#include <string.h>
EOF
@@ -1388,7 +1384,7 @@ fi
if test $ac_cv_header_stdc = yes; then
# ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
-#line 1392 "configure"
+#line 1388 "configure"
#include "confdefs.h"
#include <stdlib.h>
EOF
@@ -1409,7 +1405,7 @@ if test "$cross_compiling" = yes; then
:
else
cat > conftest.$ac_ext <<EOF
-#line 1413 "configure"
+#line 1409 "configure"
#include "confdefs.h"
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
@@ -1420,7 +1416,7 @@ if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
exit (0); }
EOF
-if { (eval echo configure:1424: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1420: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
:
else
@@ -1447,14 +1443,14 @@ fi
if test "x$cross_compiling" = "xno" ; then
echo $ac_n "checking whether byte ordering is bigendian""... $ac_c" 1>&6
-echo "configure:1451: checking whether byte ordering is bigendian" >&5
+echo "configure:1447: checking whether byte ordering is bigendian" >&5
if eval "test \"`echo '$''{'ac_cv_c_bigendian'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
ac_cv_c_bigendian=unknown
# See if sys/param.h defines the BYTE_ORDER macro.
cat > conftest.$ac_ext <<EOF
-#line 1458 "configure"
+#line 1454 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/param.h>
@@ -1465,11 +1461,11 @@ int main() {
#endif
; return 0; }
EOF
-if { (eval echo configure:1469: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1465: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
# It does; now see whether it defined to BIG_ENDIAN or not.
cat > conftest.$ac_ext <<EOF
-#line 1473 "configure"
+#line 1469 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/param.h>
@@ -1480,7 +1476,7 @@ int main() {
#endif
; return 0; }
EOF
-if { (eval echo configure:1484: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1480: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
ac_cv_c_bigendian=yes
else
@@ -1500,7 +1496,7 @@ if test "$cross_compiling" = yes; then
{ echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
-#line 1504 "configure"
+#line 1500 "configure"
#include "confdefs.h"
main () {
/* Are we little or big endian? From Harbison&Steele. */
@@ -1513,7 +1509,7 @@ main () {
exit (u.c[sizeof (long) - 1] == 1);
}
EOF
-if { (eval echo configure:1517: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1513: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
ac_cv_c_bigendian=no
else
@@ -1550,12 +1546,12 @@ EOF
fi
echo $ac_n "checking for working const""... $ac_c" 1>&6
-echo "configure:1554: checking for working const" >&5
+echo "configure:1550: checking for working const" >&5
if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1559 "configure"
+#line 1555 "configure"
#include "confdefs.h"
int main() {
@@ -1604,7 +1600,7 @@ ccp = (char const *const *) p;
; return 0; }
EOF
-if { (eval echo configure:1608: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1604: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
ac_cv_c_const=yes
else
@@ -1625,21 +1621,21 @@ EOF
fi
echo $ac_n "checking for inline""... $ac_c" 1>&6
-echo "configure:1629: checking for inline" >&5
+echo "configure:1625: checking for inline" >&5
if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
ac_cv_c_inline=no
for ac_kw in inline __inline__ __inline; do
cat > conftest.$ac_ext <<EOF
-#line 1636 "configure"
+#line 1632 "configure"
#include "confdefs.h"
int main() {
} $ac_kw foo() {
; return 0; }
EOF
-if { (eval echo configure:1643: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:1639: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
ac_cv_c_inline=$ac_kw; break
else
@@ -1667,14 +1663,12 @@ esac
# Check for sizes of integer types
-if test "x$cross_compiling" = "xyes"; then
- if test -z "$SIZEOF_LONG_LONG" ; then
- { echo "configure: error: Cross-compiling - no value set for sizeof(long long) please set SIZEOF_LONG_LONG" 1>&2; exit 1; }
- fi
+if test "x$cross_compiling" = "xyes" -a -z "$SIZEOF_LONG_LONG" ; then
+ { echo "configure: error: Cross-compiling - no value set for sizeof(long long) please set SIZEOF_LONG_LONG" 1>&2; exit 1; }
fi
echo $ac_n "checking size of long long""... $ac_c" 1>&6
-echo "configure:1678: checking size of long long" >&5
+echo "configure:1672: checking size of long long" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_long_long'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1682,7 +1676,7 @@ else
ac_cv_sizeof_long_long=$SIZEOF_LONG_LONG
else
cat > conftest.$ac_ext <<EOF
-#line 1686 "configure"
+#line 1680 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
@@ -1693,7 +1687,7 @@ main()
exit(0);
}
EOF
-if { (eval echo configure:1697: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1691: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_long_long=`cat conftestval`
else
@@ -1713,14 +1707,12 @@ EOF
-if test "x$cross_compiling" = "xyes"; then
- if test -z "$SIZEOF_LONG_INT" ; then
- { echo "configure: error: Cross-compiling - no value set for sizeof(long int) please set SIZEOF_LONG_INT" 1>&2; exit 1; }
- fi
+if test "x$cross_compiling" = "xyes" -a -z "$SIZEOF_LONG_INT" ; then
+ { echo "configure: error: Cross-compiling - no value set for sizeof(long int) please set SIZEOF_LONG_INT" 1>&2; exit 1; }
fi
echo $ac_n "checking size of long int""... $ac_c" 1>&6
-echo "configure:1724: checking size of long int" >&5
+echo "configure:1716: checking size of long int" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_long_int'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1728,7 +1720,7 @@ else
ac_cv_sizeof_long_int=$SIZEOF_LONG_INT
else
cat > conftest.$ac_ext <<EOF
-#line 1732 "configure"
+#line 1724 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
@@ -1739,7 +1731,7 @@ main()
exit(0);
}
EOF
-if { (eval echo configure:1743: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1735: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_long_int=`cat conftestval`
else
@@ -1759,14 +1751,12 @@ EOF
-if test "x$cross_compiling" = "xyes"; then
- if test -z "$SIZEOF_INT" ; then
- { echo "configure: error: Cross-compiling - no value set for sizeof(int) please set SIZEOF_INT" 1>&2; exit 1; }
- fi
+if test "x$cross_compiling" = "xyes" -a -z "$SIZEOF_INT" ; then
+ { echo "configure: error: Cross-compiling - no value set for sizeof(int) please set SIZEOF_INT" 1>&2; exit 1; }
fi
echo $ac_n "checking size of int""... $ac_c" 1>&6
-echo "configure:1770: checking size of int" >&5
+echo "configure:1760: checking size of int" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_int'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1774,7 +1764,7 @@ else
ac_cv_sizeof_int=$SIZEOF_INT
else
cat > conftest.$ac_ext <<EOF
-#line 1778 "configure"
+#line 1768 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
@@ -1785,7 +1775,7 @@ main()
exit(0);
}
EOF
-if { (eval echo configure:1789: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1779: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_int=`cat conftestval`
else
@@ -1805,14 +1795,12 @@ EOF
-if test "x$cross_compiling" = "xyes"; then
- if test -z "$SIZEOF_SHORT_INT" ; then
- { echo "configure: error: Cross-compiling - no value set for sizeof(short int) please set SIZEOF_SHORT_INT" 1>&2; exit 1; }
- fi
+if test "x$cross_compiling" = "xyes" -a -z "$SIZEOF_SHORT_INT" ; then
+ { echo "configure: error: Cross-compiling - no value set for sizeof(short int) please set SIZEOF_SHORT_INT" 1>&2; exit 1; }
fi
echo $ac_n "checking size of short int""... $ac_c" 1>&6
-echo "configure:1816: checking size of short int" >&5
+echo "configure:1804: checking size of short int" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_short_int'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1820,7 +1808,7 @@ else
ac_cv_sizeof_short_int=$SIZEOF_SHORT_INT
else
cat > conftest.$ac_ext <<EOF
-#line 1824 "configure"
+#line 1812 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
@@ -1831,7 +1819,7 @@ main()
exit(0);
}
EOF
-if { (eval echo configure:1835: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1823: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_short_int=`cat conftestval`
else
@@ -1853,14 +1841,12 @@ EOF
# Check for sizes of floating point types
-if test "x$cross_compiling" = "xyes"; then
- if test -z "$SIZEOF_LONG_DOUBLE" ; then
- { echo "configure: error: Cross-compiling - no value set for sizeof(long double) please set SIZEOF_LONG_DOUBLE" 1>&2; exit 1; }
- fi
+if test "x$cross_compiling" = "xyes" -a -z "$SIZEOF_LONG_DOUBLE" ; then
+ { echo "configure: error: Cross-compiling - no value set for sizeof(long double) please set SIZEOF_LONG_DOUBLE" 1>&2; exit 1; }
fi
echo $ac_n "checking size of long double""... $ac_c" 1>&6
-echo "configure:1864: checking size of long double" >&5
+echo "configure:1850: checking size of long double" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_long_double'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1868,7 +1854,7 @@ else
ac_cv_sizeof_long_double=$SIZEOF_LONG_DOUBLE
else
cat > conftest.$ac_ext <<EOF
-#line 1872 "configure"
+#line 1858 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
@@ -1879,7 +1865,7 @@ main()
exit(0);
}
EOF
-if { (eval echo configure:1883: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1869: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_long_double=`cat conftestval`
else
@@ -1899,14 +1885,12 @@ EOF
-if test "x$cross_compiling" = "xyes"; then
- if test -z "$SIZEOF_DOUBLE" ; then
- { echo "configure: error: Cross-compiling - no value set for sizeof(double) please set SIZEOF_DOUBLE" 1>&2; exit 1; }
- fi
+if test "x$cross_compiling" = "xyes" -a -z "$SIZEOF_DOUBLE" ; then
+ { echo "configure: error: Cross-compiling - no value set for sizeof(double) please set SIZEOF_DOUBLE" 1>&2; exit 1; }
fi
echo $ac_n "checking size of double""... $ac_c" 1>&6
-echo "configure:1910: checking size of double" >&5
+echo "configure:1894: checking size of double" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_double'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1914,7 +1898,7 @@ else
ac_cv_sizeof_double=$SIZEOF_DOUBLE
else
cat > conftest.$ac_ext <<EOF
-#line 1918 "configure"
+#line 1902 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
@@ -1925,7 +1909,7 @@ main()
exit(0);
}
EOF
-if { (eval echo configure:1929: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1913: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_double=`cat conftestval`
else
@@ -1946,14 +1930,12 @@ EOF
-if test "x$cross_compiling" = "xyes"; then
- if test -z "$SIZEOF_FLOAT" ; then
- { echo "configure: error: Cross-compiling - no value set for sizeof(float) please set SIZEOF_FLOAT" 1>&2; exit 1; }
- fi
+if test "x$cross_compiling" = "xyes" -a -z "$SIZEOF_FLOAT" ; then
+ { echo "configure: error: Cross-compiling - no value set for sizeof(float) please set SIZEOF_FLOAT" 1>&2; exit 1; }
fi
echo $ac_n "checking size of float""... $ac_c" 1>&6
-echo "configure:1957: checking size of float" >&5
+echo "configure:1939: checking size of float" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_float'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1961,7 +1943,7 @@ else
ac_cv_sizeof_float=$SIZEOF_FLOAT
else
cat > conftest.$ac_ext <<EOF
-#line 1965 "configure"
+#line 1947 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
@@ -1972,7 +1954,7 @@ main()
exit(0);
}
EOF
-if { (eval echo configure:1976: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1958: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_float=`cat conftestval`
else
@@ -1994,14 +1976,12 @@ EOF
# Check for sizes of pointers.
-if test "x$cross_compiling" = "xyes"; then
- if test -z "$SIZEOF_POINTER" ; then
- { echo "configure: error: Cross-compiling - no value set for sizeof(char *) please set SIZEOF_POINTER" 1>&2; exit 1; }
- fi
+if test "x$cross_compiling" = "xyes" -a -z "$SIZEOF_POINTER" ; then
+ { echo "configure: error: Cross-compiling - no value set for sizeof(char *) please set SIZEOF_POINTER" 1>&2; exit 1; }
fi
echo $ac_n "checking size of char *""... $ac_c" 1>&6
-echo "configure:2005: checking size of char *" >&5
+echo "configure:1985: checking size of char *" >&5
if eval "test \"`echo '$''{'ac_cv_sizeof_char_p'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -2009,7 +1989,7 @@ else
ac_cv_sizeof_char_p=$SIZEOF_POINTER
else
cat > conftest.$ac_ext <<EOF
-#line 2013 "configure"
+#line 1993 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
@@ -2020,7 +2000,7 @@ main()
exit(0);
}
EOF
-if { (eval echo configure:2024: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2004: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
ac_cv_sizeof_char_p=`cat conftestval`
else
@@ -2056,7 +2036,7 @@ EOF
else
echo $ac_n "checking for the null device""... $ac_c" 1>&6
-echo "configure:2060: checking for the null device" >&5
+echo "configure:2040: checking for the null device" >&5
if eval "test \"`echo '$''{'cctk_cv_nulldevice'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -2093,7 +2073,7 @@ fi
# Uses ac_ vars as temps to allow command line to override cache and checks.
# --without-x overrides everything else, but does not touch the cache.
echo $ac_n "checking for X""... $ac_c" 1>&6
-echo "configure:2097: checking for X" >&5
+echo "configure:2077: checking for X" >&5
# Check whether --with-x or --without-x was given.
if test "${with_x+set}" = set; then
@@ -2155,12 +2135,12 @@ if test "$ac_x_includes" = NO; then
# First, try using that file with no special directory specified.
cat > conftest.$ac_ext <<EOF
-#line 2159 "configure"
+#line 2139 "configure"
#include "confdefs.h"
#include <$x_direct_test_include>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:2164: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:2144: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
rm -rf conftest*
@@ -2229,14 +2209,14 @@ if test "$ac_x_libraries" = NO; then
ac_save_LIBS="$LIBS"
LIBS="-l$x_direct_test_library $LIBS"
cat > conftest.$ac_ext <<EOF
-#line 2233 "configure"
+#line 2213 "configure"
#include "confdefs.h"
int main() {
${x_direct_test_function}()
; return 0; }
EOF
-if { (eval echo configure:2240: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2220: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
LIBS="$ac_save_LIBS"
# We can link X programs with no special library path.
@@ -2356,12 +2336,12 @@ ac_link='${CC-cc} -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_
for ac_func in gethostbyname
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:2360: checking for $ac_func" >&5
+echo "configure:2340: checking for $ac_func" >&5
if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2365 "configure"
+#line 2345 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func(); below. */
@@ -2384,7 +2364,7 @@ $ac_func();
; return 0; }
EOF
-if { (eval echo configure:2388: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2368: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_func_$ac_func=yes"
else
@@ -2406,7 +2386,7 @@ EOF
else
echo "$ac_t""no" 1>&6
echo $ac_n "checking for gethostbyname in library nsl""... $ac_c" 1>&6
-echo "configure:2410: checking for gethostbyname in library nsl" >&5
+echo "configure:2390: checking for gethostbyname in library nsl" >&5
ac_lib_var=`echo nsl'_'gethostbyname | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
@@ -2415,7 +2395,7 @@ else
ac_save_LIBS="$LIBS"
LIBS="nsl $LIBS"
cat > conftest.$ac_ext <<EOF
-#line 2419 "configure"
+#line 2399 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
@@ -2426,7 +2406,7 @@ int main() {
gethostbyname()
; return 0; }
EOF
-if { (eval echo configure:2430: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2410: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes"
else
@@ -2457,12 +2437,12 @@ done
# Check if we have mode_t available
echo $ac_n "checking if mode_t is defined""... $ac_c" 1>&6
-echo "configure:2461: checking if mode_t is defined" >&5
+echo "configure:2441: checking if mode_t is defined" >&5
if eval "test \"`echo '$''{'cctk_cv_have_mode_t'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2466 "configure"
+#line 2446 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <stdlib.h>
@@ -2472,7 +2452,7 @@ int main() {
mode_t foo; return 0
; return 0; }
EOF
-if { (eval echo configure:2476: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2456: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_have_mode_t=yes"
else
@@ -2489,7 +2469,7 @@ if test "$cctk_cv_have_mode_t" = "yes"; then
cat >> confdefs.h <<\EOF
#define HAVE_MODE_T 1
EOF
-
+
echo "$ac_t""yes" 1>&6
else
echo "$ac_t""no" 1>&6
@@ -2498,12 +2478,12 @@ fi
echo $ac_n "checking for availability of gettimeofday timing""... $ac_c" 1>&6
-echo "configure:2502: checking for availability of gettimeofday timing" >&5
+echo "configure:2482: checking for availability of gettimeofday timing" >&5
if eval "test \"`echo '$''{'cctk_cv_time_gettimeofday'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2507 "configure"
+#line 2487 "configure"
#include "confdefs.h"
int main() {
@@ -2511,7 +2491,7 @@ gettimeofday();
return 0;
; return 0; }
EOF
-if { (eval echo configure:2515: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2495: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "cctk_cv_time_gettimeofday=yes"
else
@@ -2533,12 +2513,12 @@ else
fi
if eval "test \"`echo '$cctk_cv_time_gettimeofday'`\" = yes"; then
echo $ac_n "checking if gettimeofday needs timezone""... $ac_c" 1>&6
-echo "configure:2537: checking if gettimeofday needs timezone" >&5
+echo "configure:2517: checking if gettimeofday needs timezone" >&5
if eval "test \"`echo '$''{'cctk_cv_time_gettimeofday_timezone'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2542 "configure"
+#line 2522 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <sys/time.h>
@@ -2551,7 +2531,7 @@ struct timeval tp;
return 0;
; return 0; }
EOF
-if { (eval echo configure:2555: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2535: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "cctk_cv_time_gettimeofday_timezone=yes"
else
@@ -2574,12 +2554,12 @@ fi
fi
echo $ac_n "checking for availability of getrusage timing""... $ac_c" 1>&6
-echo "configure:2578: checking for availability of getrusage timing" >&5
+echo "configure:2558: checking for availability of getrusage timing" >&5
if eval "test \"`echo '$''{'cctk_cv_time_getrusage'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2583 "configure"
+#line 2563 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <sys/time.h>
@@ -2592,7 +2572,7 @@ struct rusage ru;
return 0;
; return 0; }
EOF
-if { (eval echo configure:2596: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2576: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "cctk_cv_time_getrusage=yes"
else
@@ -2614,12 +2594,12 @@ else
fi
echo $ac_n "checking for availability of _ftime timing""... $ac_c" 1>&6
-echo "configure:2618: checking for availability of _ftime timing" >&5
+echo "configure:2598: checking for availability of _ftime timing" >&5
if eval "test \"`echo '$''{'cctk_cv_time_ftime'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2623 "configure"
+#line 2603 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <time.h>
@@ -2632,7 +2612,7 @@ int main() {
return 0;
; return 0; }
EOF
-if { (eval echo configure:2636: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:2616: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "cctk_cv_time_ftime=yes"
else
@@ -2659,12 +2639,12 @@ for cctk_hdr in time.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:2663: checking for $cctk_hdr" >&5
+echo "configure:2643: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2668 "configure"
+#line 2648 "configure"
#include "confdefs.h"
#include <$cctk_hdr>
@@ -2672,7 +2652,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:2676: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2656: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -2699,12 +2679,12 @@ for cctk_hdr in sys/time.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:2703: checking for $cctk_hdr" >&5
+echo "configure:2683: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2708 "configure"
+#line 2688 "configure"
#include "confdefs.h"
#include <$cctk_hdr>
@@ -2712,7 +2692,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:2716: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2696: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -2739,12 +2719,12 @@ for cctk_hdr in sys/types.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:2743: checking for $cctk_hdr" >&5
+echo "configure:2723: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2748 "configure"
+#line 2728 "configure"
#include "confdefs.h"
#include <$cctk_hdr>
@@ -2752,7 +2732,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:2756: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2736: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -2779,12 +2759,12 @@ for cctk_hdr in unistd.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:2783: checking for $cctk_hdr" >&5
+echo "configure:2763: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2788 "configure"
+#line 2768 "configure"
#include "confdefs.h"
#include <$cctk_hdr>
@@ -2792,7 +2772,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:2796: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2776: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -2819,12 +2799,12 @@ for cctk_hdr in string.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:2823: checking for $cctk_hdr" >&5
+echo "configure:2803: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2828 "configure"
+#line 2808 "configure"
#include "confdefs.h"
#include <$cctk_hdr>
@@ -2832,7 +2812,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:2836: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2816: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -2859,12 +2839,12 @@ for cctk_hdr in assert.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:2863: checking for $cctk_hdr" >&5
+echo "configure:2843: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2868 "configure"
+#line 2848 "configure"
#include "confdefs.h"
#include <$cctk_hdr>
@@ -2872,7 +2852,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:2876: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2856: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -2899,12 +2879,12 @@ for cctk_hdr in sys/stat.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:2903: checking for $cctk_hdr" >&5
+echo "configure:2883: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2908 "configure"
+#line 2888 "configure"
#include "confdefs.h"
#include <$cctk_hdr>
@@ -2912,7 +2892,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:2916: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2896: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -2939,12 +2919,12 @@ for cctk_hdr in getopt.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:2943: checking for $cctk_hdr" >&5
+echo "configure:2923: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2948 "configure"
+#line 2928 "configure"
#include "confdefs.h"
#include <$cctk_hdr>
@@ -2952,7 +2932,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:2956: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2936: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -2979,12 +2959,12 @@ for cctk_hdr in dirent.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:2983: checking for $cctk_hdr" >&5
+echo "configure:2963: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 2988 "configure"
+#line 2968 "configure"
#include "confdefs.h"
#include <$cctk_hdr>
@@ -2992,7 +2972,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:2996: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:2976: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -3016,12 +2996,12 @@ fi
done
echo $ac_n "checking for regex.h""... $ac_c" 1>&6
-echo "configure:3020: checking for regex.h" >&5
+echo "configure:3000: checking for regex.h" >&5
if eval "test \"`echo '$''{'cctk_cv_header_regex_h'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3025 "configure"
+#line 3005 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <regex.h>
@@ -3029,7 +3009,7 @@ int main() {
return 0;
; return 0; }
EOF
-if { (eval echo configure:3033: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3013: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_regex_h=yes"
else
@@ -3054,12 +3034,12 @@ for cctk_hdr in sys/socket.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:3058: checking for $cctk_hdr" >&5
+echo "configure:3038: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3063 "configure"
+#line 3043 "configure"
#include "confdefs.h"
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
@@ -3069,7 +3049,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:3073: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3053: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -3096,12 +3076,12 @@ for cctk_hdr in netinet/in.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:3100: checking for $cctk_hdr" >&5
+echo "configure:3080: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3105 "configure"
+#line 3085 "configure"
#include "confdefs.h"
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
@@ -3111,7 +3091,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:3115: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3095: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -3138,12 +3118,12 @@ for cctk_hdr in netdb.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:3142: checking for $cctk_hdr" >&5
+echo "configure:3122: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3147 "configure"
+#line 3127 "configure"
#include "confdefs.h"
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
@@ -3153,7 +3133,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:3157: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3137: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -3180,12 +3160,12 @@ for cctk_hdr in arpa/inet.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:3184: checking for $cctk_hdr" >&5
+echo "configure:3164: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3189 "configure"
+#line 3169 "configure"
#include "confdefs.h"
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
@@ -3195,7 +3175,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:3199: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3179: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -3222,12 +3202,12 @@ for cctk_hdr in winsock2.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:3226: checking for $cctk_hdr" >&5
+echo "configure:3206: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3231 "configure"
+#line 3211 "configure"
#include "confdefs.h"
#include <$cctk_hdr>
@@ -3235,7 +3215,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:3239: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3219: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -3262,12 +3242,12 @@ for cctk_hdr in crypt.h
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:3266: checking for $cctk_hdr" >&5
+echo "configure:3246: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3271 "configure"
+#line 3251 "configure"
#include "confdefs.h"
#ifdef HAVE_UNISTD_H
#include <unistd.h>
@@ -3277,7 +3257,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:3281: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3261: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -3302,12 +3282,12 @@ done
echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
-echo "configure:3306: checking whether time.h and sys/time.h may both be included" >&5
+echo "configure:3286: checking whether time.h and sys/time.h may both be included" >&5
if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3311 "configure"
+#line 3291 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/time.h>
@@ -3316,7 +3296,7 @@ int main() {
struct tm *tp;
; return 0; }
EOF
-if { (eval echo configure:3320: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3300: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
ac_cv_header_time=yes
else
@@ -3341,12 +3321,12 @@ fi
# Check if we have socklen_t available
echo $ac_n "checking if socklen_t is defined""... $ac_c" 1>&6
-echo "configure:3345: checking if socklen_t is defined" >&5
+echo "configure:3325: checking if socklen_t is defined" >&5
if eval "test \"`echo '$''{'cctk_cv_have_socklen_t'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3350 "configure"
+#line 3330 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <stdlib.h>
@@ -3366,7 +3346,7 @@ int main() {
socklen_t foo; return 0
; return 0; }
EOF
-if { (eval echo configure:3370: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3350: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_have_socklen_t=yes"
else
@@ -3383,7 +3363,7 @@ if test "$cctk_cv_have_socklen_t" = "yes"; then
cat >> confdefs.h <<\EOF
#define HAVE_SOCKLEN_T 1
EOF
-
+
echo "$ac_t""yes" 1>&6
else
echo "$ac_t""no" 1>&6
@@ -3391,12 +3371,12 @@ fi
# Check if someone has defined SOCKET
echo $ac_n "checking if SOCKET is defined""... $ac_c" 1>&6
-echo "configure:3395: checking if SOCKET is defined" >&5
+echo "configure:3375: checking if SOCKET is defined" >&5
if eval "test \"`echo '$''{'cctk_cv_have_SOCKET'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3400 "configure"
+#line 3380 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <stdlib.h>
@@ -3416,7 +3396,7 @@ int main() {
SOCKET foo; return 0
; return 0; }
EOF
-if { (eval echo configure:3420: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3400: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_have_SOCKET=yes"
else
@@ -3433,7 +3413,7 @@ if test "$cctk_cv_have_SOCKET" = "yes"; then
cat >> confdefs.h <<\EOF
#define HAVE_SOCKET_TYPE 1
EOF
-
+
echo "$ac_t""yes" 1>&6
else
echo "$ac_t""no" 1>&6
@@ -3441,19 +3421,19 @@ fi
# Check if we have __int64
echo $ac_n "checking if __int64 is defined""... $ac_c" 1>&6
-echo "configure:3445: checking if __int64 is defined" >&5
+echo "configure:3425: checking if __int64 is defined" >&5
if eval "test \"`echo '$''{'cctk_cv_have___int64'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3450 "configure"
+#line 3430 "configure"
#include "confdefs.h"
int main() {
__int64 foo; return 0
; return 0; }
EOF
-if { (eval echo configure:3457: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3437: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_have___int64=yes"
else
@@ -3488,12 +3468,12 @@ cross_compiling=$ac_cv_prog_cxx_cross
do
cctk_safe=`echo "$cctk_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $cctk_hdr""... $ac_c" 1>&6
-echo "configure:3492: checking for $cctk_hdr" >&5
+echo "configure:3472: checking for $cctk_hdr" >&5
if eval "test \"`echo '$''{'cctk_cv_header_$cctk_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3497 "configure"
+#line 3477 "configure"
#include "confdefs.h"
#include <$cctk_hdr>
@@ -3501,7 +3481,7 @@ int main() {
; return 0; }
EOF
-if { (eval echo configure:3505: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3485: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
eval "cctk_cv_header_$cctk_safe=yes"
else
@@ -3541,14 +3521,14 @@ ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftes
cross_compiling=$ac_cv_prog_cxx_cross
cat > conftest.$ac_ext <<EOF
-#line 3545 "configure"
+#line 3525 "configure"
#include "confdefs.h"
int main() {
bool foo;
; return 0; }
EOF
-if { (eval echo configure:3552: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:3532: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
cat >> confdefs.h <<\EOF
#define HAVE_BOOL 1
@@ -3574,12 +3554,12 @@ ac_link='${CC-cc} -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_
for ac_func in getopt_long_only
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:3578: checking for $ac_func" >&5
+echo "configure:3558: checking for $ac_func" >&5
if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3583 "configure"
+#line 3563 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func(); below. */
@@ -3602,7 +3582,7 @@ $ac_func();
; return 0; }
EOF
-if { (eval echo configure:3606: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3586: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_func_$ac_func=yes"
else
@@ -3647,12 +3627,12 @@ fi
ac_link='${CC-cc} -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext `CCTK_Wrap "$LIBDIR_PREFIX" "$LIBDIR_SUFFIX" "$LIBDIRS"` `CCTK_Wrap "$LIBLINK_PREFIX" "$LIBLINK_SUFFIX" "$LIBS"` >&5'
echo $ac_n "checking for crypt""... $ac_c" 1>&6
-echo "configure:3651: checking for crypt" >&5
+echo "configure:3631: checking for crypt" >&5
if eval "test \"`echo '$''{'ac_cv_func_crypt'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3656 "configure"
+#line 3636 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char crypt(); below. */
@@ -3675,7 +3655,7 @@ crypt();
; return 0; }
EOF
-if { (eval echo configure:3679: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3659: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_func_crypt=yes"
else
@@ -3693,7 +3673,7 @@ if eval "test \"`echo '$ac_cv_func_'crypt`\" = yes"; then
else
echo "$ac_t""no" 1>&6
echo $ac_n "checking for crypt in library crypt""... $ac_c" 1>&6
-echo "configure:3697: checking for crypt in library crypt" >&5
+echo "configure:3677: checking for crypt in library crypt" >&5
ac_lib_var=`echo crypt'_'crypt | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
@@ -3702,7 +3682,7 @@ else
ac_save_LIBS="$LIBS"
LIBS="crypt $LIBS"
cat > conftest.$ac_ext <<EOF
-#line 3706 "configure"
+#line 3686 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
@@ -3713,7 +3693,7 @@ int main() {
crypt()
; return 0; }
EOF
-if { (eval echo configure:3717: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3697: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes"
else
@@ -3755,12 +3735,12 @@ ac_link='${CC-cc} -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_
for ac_func in finite
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:3759: checking for $ac_func" >&5
+echo "configure:3739: checking for $ac_func" >&5
if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3764 "configure"
+#line 3744 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func(); below. */
@@ -3783,7 +3763,7 @@ $ac_func();
; return 0; }
EOF
-if { (eval echo configure:3787: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3767: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_func_$ac_func=yes"
else
@@ -3805,7 +3785,7 @@ EOF
else
echo "$ac_t""no" 1>&6
echo $ac_n "checking for finite in library m""... $ac_c" 1>&6
-echo "configure:3809: checking for finite in library m" >&5
+echo "configure:3789: checking for finite in library m" >&5
ac_lib_var=`echo m'_'finite | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
@@ -3814,7 +3794,7 @@ else
ac_save_LIBS="$LIBS"
LIBS="m $LIBS"
cat > conftest.$ac_ext <<EOF
-#line 3818 "configure"
+#line 3798 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
@@ -3825,7 +3805,7 @@ int main() {
finite()
; return 0; }
EOF
-if { (eval echo configure:3829: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3809: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes"
else
@@ -3868,12 +3848,12 @@ ac_link='${CC-cc} -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_
for ac_func in isnan
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:3872: checking for $ac_func" >&5
+echo "configure:3852: checking for $ac_func" >&5
if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 3877 "configure"
+#line 3857 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func(); below. */
@@ -3896,7 +3876,7 @@ $ac_func();
; return 0; }
EOF
-if { (eval echo configure:3900: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3880: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_func_$ac_func=yes"
else
@@ -3918,7 +3898,7 @@ EOF
else
echo "$ac_t""no" 1>&6
echo $ac_n "checking for isnan in library m""... $ac_c" 1>&6
-echo "configure:3922: checking for isnan in library m" >&5
+echo "configure:3902: checking for isnan in library m" >&5
ac_lib_var=`echo m'_'isnan | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
@@ -3927,7 +3907,7 @@ else
ac_save_LIBS="$LIBS"
LIBS="m $LIBS"
cat > conftest.$ac_ext <<EOF
-#line 3931 "configure"
+#line 3911 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
@@ -3938,7 +3918,7 @@ int main() {
isnan()
; return 0; }
EOF
-if { (eval echo configure:3942: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3922: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes"
else
@@ -3980,7 +3960,7 @@ done
if test "X$PTHREADS" = "Xyes"; then
PTHREAD_LIBS=
echo $ac_n "checking for main in library c_r""... $ac_c" 1>&6
-echo "configure:3984: checking for main in library c_r" >&5
+echo "configure:3964: checking for main in library c_r" >&5
ac_lib_var=`echo c_r'_'main | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
@@ -3989,14 +3969,14 @@ else
ac_save_LIBS="$LIBS"
LIBS="c_r $LIBS"
cat > conftest.$ac_ext <<EOF
-#line 3993 "configure"
+#line 3973 "configure"
#include "confdefs.h"
int main() {
main()
; return 0; }
EOF
-if { (eval echo configure:4000: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:3980: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes"
else
@@ -4017,7 +3997,7 @@ else
fi
echo $ac_n "checking for main in library pthread""... $ac_c" 1>&6
-echo "configure:4021: checking for main in library pthread" >&5
+echo "configure:4001: checking for main in library pthread" >&5
ac_lib_var=`echo pthread'_'main | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
@@ -4026,14 +4006,14 @@ else
ac_save_LIBS="$LIBS"
LIBS="pthread $LIBS"
cat > conftest.$ac_ext <<EOF
-#line 4030 "configure"
+#line 4010 "configure"
#include "confdefs.h"
int main() {
main()
; return 0; }
EOF
-if { (eval echo configure:4037: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4017: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes"
else
@@ -4052,7 +4032,7 @@ if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
else
echo "$ac_t""no" 1>&6
echo $ac_n "checking for main in library pthreads""... $ac_c" 1>&6
-echo "configure:4056: checking for main in library pthreads" >&5
+echo "configure:4036: checking for main in library pthreads" >&5
ac_lib_var=`echo pthreads'_'main | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
@@ -4061,14 +4041,14 @@ else
ac_save_LIBS="$LIBS"
LIBS="pthreads $LIBS"
cat > conftest.$ac_ext <<EOF
-#line 4065 "configure"
+#line 4045 "configure"
#include "confdefs.h"
int main() {
main()
; return 0; }
EOF
-if { (eval echo configure:4072: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:4052: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
eval "ac_cv_lib_$ac_lib_var=yes"
else
@@ -4146,22 +4126,22 @@ case "x$ac_cv_sizeof_short_int" in
CCTK_INT2="short int" ;;
esac
-if test -n "$CCTK_INT8" ; then
-cat >> confdefs.h <<EOF
+if test -n "$CCTK_INT8" ; then
+ cat >> confdefs.h <<EOF
#define CCTK_INT8 $CCTK_INT8
EOF
fi
-if test -n "$CCTK_INT4" ; then
-cat >> confdefs.h <<EOF
+if test -n "$CCTK_INT4" ; then
+ cat >> confdefs.h <<EOF
#define CCTK_INT4 $CCTK_INT4
EOF
fi
-if test -n "$CCTK_INT2" ; then
-cat >> confdefs.h <<EOF
+if test -n "$CCTK_INT2" ; then
+ cat >> confdefs.h <<EOF
#define CCTK_INT2 $CCTK_INT2
EOF
@@ -4196,22 +4176,22 @@ case "x$ac_cv_sizeof_float" in
CCTK_REAL4="float" ;;
esac
-if test -n "$CCTK_REAL16" ; then
-cat >> confdefs.h <<EOF
+if test -n "$CCTK_REAL16" ; then
+ cat >> confdefs.h <<EOF
#define CCTK_REAL16 $CCTK_REAL16
EOF
fi
-if test -n "$CCTK_REAL8" ; then
-cat >> confdefs.h <<EOF
+if test -n "$CCTK_REAL8" ; then
+ cat >> confdefs.h <<EOF
#define CCTK_REAL8 $CCTK_REAL8
EOF
fi
-if test -n "$CCTK_REAL4" ; then
-cat >> confdefs.h <<EOF
+if test -n "$CCTK_REAL4" ; then
+ cat >> confdefs.h <<EOF
#define CCTK_REAL4 $CCTK_REAL4
EOF
@@ -4220,46 +4200,46 @@ fi
# Define the default floating point and integer precisions
case "x$REAL_PRECISION" in
- "x16")
- cat >> confdefs.h <<\EOF
+ "x16")
+ cat >> confdefs.h <<\EOF
#define CCTK_REAL_PRECISION_16 1
EOF
;;
- "x8")
- cat >> confdefs.h <<\EOF
+ "x8")
+ cat >> confdefs.h <<\EOF
#define CCTK_REAL_PRECISION_8 1
EOF
;;
- "x4")
- cat >> confdefs.h <<\EOF
+ "x4")
+ cat >> confdefs.h <<\EOF
#define CCTK_REAL_PRECISION_4 1
EOF
;;
- *)
- cat >> confdefs.h <<\EOF
+ *)
+ cat >> confdefs.h <<\EOF
#define CCTK_REAL_PRECISION_8 1
EOF
;;
esac
case "x$INTEGER_PRECISION" in
- "x8")
- cat >> confdefs.h <<\EOF
+ "x8")
+ cat >> confdefs.h <<\EOF
#define CCTK_INTEGER_PRECISION_8 1
EOF
;;
- "x4")
- cat >> confdefs.h <<\EOF
+ "x4")
+ cat >> confdefs.h <<\EOF
#define CCTK_INTEGER_PRECISION_4 1
EOF
;;
- "x2")
- cat >> confdefs.h <<\EOF
+ "x2")
+ cat >> confdefs.h <<\EOF
#define CCTK_INTEGER_PRECISION_2 1
EOF
;;
- *)
- cat >> confdefs.h <<\EOF
+ *)
+ cat >> confdefs.h <<\EOF
#define CCTK_INTEGER_PRECISION_4 1
EOF
;;
@@ -4332,32 +4312,35 @@ LDFLAGS="$LDFLAGS $KNOWN_LDFLAGS"
if test -n "$DEBUG" ; then
case "$DEBUG" in
- MEMORY)
- cat >> confdefs.h <<\EOF
+ MEMORY)
+ cat >> confdefs.h <<\EOF
#define CCTK_TRACEMEMORY 1
EOF
- ;;
- FLAGS|yes)
- DEBUG_FLAGS="yes"
- ;;
- DEFINES)
- cat >> confdefs.h <<\EOF
+ ;;
+ FLAGS|yes)
+ DEBUG_FLAGS="yes"
+ ;;
+ DEFINES)
+ cat >> confdefs.h <<\EOF
#define DEBUG 1
EOF
- ;;
- ALL)
- cat >> confdefs.h <<\EOF
+ ;;
+ ALL)
+ cat >> confdefs.h <<\EOF
#define CCTK_TRACEMEMORY 1
EOF
- DEBUG_FLAGS="yes"
- cat >> confdefs.h <<\EOF
+ DEBUG_FLAGS="yes"
+ cat >> confdefs.h <<\EOF
#define CCTK_DEBUG 1
EOF
;;
+ *)
+ { echo "configure: error: Didn't recognize setting of DEBUG=\"$DEBUG\"" 1>&2; exit 1; }
+ ;;
esac
fi
@@ -4373,66 +4356,29 @@ fi
if test -z "$C_DEBUG_FLAGS" ; then
- case "$CC" in
- gcc)
- C_DEBUG_FLAGS="-g"
- ;;
- pgcc)
- C_DEBUG_FLAGS="-g"
- ;;
- *)
-# This should be a reasonable default.
- C_DEBUG_FLAGS="-g"
- ;;
- esac
+# This should be a reasonable default.
+ C_DEBUG_FLAGS="-g"
fi
if test -z "$CXX_DEBUG_FLAGS" ; then
- case "$CXX" in
- g++)
- CXX_DEBUG_FLAGS="-g"
- ;;
- pgCC)
- CXX_DEBUG_FLAGS="-g"
- ;;
- *)
-# This should be a reasonable default.
- CXX_DEBUG_FLAGS="-g"
- ;;
- esac
+# This should be a reasonable default.
+ CXX_DEBUG_FLAGS="-g"
fi
if test -z "$F77_DEBUG_FLAGS" ; then
- case "$F77" in
- g77)
- F77_DEBUG_FLAGS="-g"
- ;;
- pgf77)
- F77_DEBUG_FLAGS="-g"
- ;;
- *)
-# This should be a reasonable default.
- F77_DEBUG_FLAGS="-g"
- ;;
- esac
+# This should be a reasonable default.
+ F77_DEBUG_FLAGS="-g"
fi
if test -z "$F90_DEBUG_FLAGS" ; then
- case "$F90" in
- pgf90)
- F90_DEBUG_FLAGS="-g"
- ;;
- *)
-# This should be a reasonable default.
- F90_DEBUG_FLAGS="-g"
- ;;
- esac
+# This should be a reasonable default.
+ F90_DEBUG_FLAGS="-g"
fi
# Set the optimization flags if they've not been set by now
@@ -4440,38 +4386,31 @@ fi
if test -n "$OPTIMISE" ; then
+ if test "$OPTIMISE" != "yes" -a "$OPTIMISE" != "no" ; then
+ { echo "configure: error: Didn't recognize setting of OPTIMISE=\"$OPTIMISE\" (should be either \"yes\" or \"no\")" 1>&2; exit 1; }
+ fi
OPTIMISE_MODE=$OPTIMISE
+elif test -n "$OPTIMIZE" ; then
+ if test "$OPTIMIZE" != "yes" -a "$OPTIMIZE" != "no" ; then
+ { echo "configure: error: Didn't recognize setting of OPTIMIZE=\"$OPTIMIZE\" (should be either \"yes\" or \"no\")" 1>&2; exit 1; }
+ fi
+ OPTIMISE_MODE=$OPTIMIZE
else
OPTIMISE_MODE="yes"
fi
-
if test -z "$C_OPTIMISE_FLAGS" ; then
- case "$CC" in
- gcc)
- C_OPTIMISE_FLAGS="-O2"
- ;;
- *)
-# This should be a reasonable default.
- C_OPTIMISE_FLAGS="-O2"
- ;;
- esac
+# This should be a reasonable default.
+ C_OPTIMISE_FLAGS="-O2"
fi
if test -z "$CXX_OPTIMISE_FLAGS" ; then
- case "$CXX" in
- g++)
- CXX_OPTIMISE_FLAGS="-O2"
- ;;
- *)
-# This should be a reasonable default.
- CXX_OPTIMISE_FLAGS="-O2"
- ;;
- esac
+# This should be a reasonable default.
+ CXX_OPTIMISE_FLAGS="-O2"
fi
@@ -4491,12 +4430,8 @@ fi
if test -z "$F90_OPTIMISE_FLAGS" ; then
- case "$F90" in
- *)
-# Don't know a reasonable default.
- F90_OPTIMISE_FLAGS=""
- ;;
- esac
+# Don't know a reasonable default.
+ F90_OPTIMISE_FLAGS=""
fi
# Set the warning flags if they've not been set by now
@@ -4550,12 +4485,8 @@ fi
if test -z "$F90_WARN_FLAGS" ; then
- case "$F90" in
- *)
-# Not sure what should be a reasonable default.
- F90_WARN_FLAGS=""
- ;;
- esac
+# Not sure what should be a reasonable default.
+ F90_WARN_FLAGS=""
fi
@@ -5159,5 +5090,3 @@ rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
-
-